---
title: glab duo
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Work with GitLab Duo

## Synopsis

Work with GitLab Duo, our AI-native assistant for the command line.

GitLab Duo for the CLI integrates AI capabilities directly into your terminal
workflow. It helps you retrieve forgotten Git commands and offers guidance on
Git operations. You can accomplish specific tasks without switching contexts.

To interact with the GitLab Duo Agent Platform, use the
[GitLab Duo CLI](https://docs.gitlab.com/user/gitlab_duo_cli/).

A unified experience is proposed in
[epic 20826](https://gitlab.com/groups/gitlab-org/-/work_items/20826).

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```

## Subcommands

- [`ask`](ask.md)
